import type { AnyAction } from 'redux';
export declare enum ActionTypes {
    SetFields = "indexes/SetFields"
}
export type Field = {
    name: string;
    description: string;
};
type SetFieldsAction = {
    type: ActionTypes.SetFields;
    fields: Field[];
};
type State = Field[];
export declare const INITIAL_STATE: State;
export default function reducer(state: State | undefined, action: AnyAction): State;
export declare const setFields: (fields: Field[]) => SetFieldsAction;
export {};
//# sourceMappingURL=fields.d.ts.map